# Uses of Class
org.globus.rsl.Token

Packages that use Token
Package
Description
org.globus.rsl
This library provides a convenience API for creating, manipulating, and checking the validity of RSL expressions.

## Uses of Token in org.globus.rsl

Fields in org.globus.rsl declared as Token
Modifier and Type
Field
Description
`Token`
ParseException.`currentToken`
This is the last token that has been consumed successfully.
`Token`
RSLParser.`jj_nt`
`Token`
Token.`next`
A reference to the next regular (non-special) token from the input stream.
`Token`
Token.`specialToken`
This field is used to access special tokens that occur prior to this token, but after the immediately preceding regular (non-special) token.
`Token`
RSLParser.`token`
Methods in org.globus.rsl that return Token
Modifier and Type
Method
Description
`final Token`
RSLParser.`getNextToken()`
`final Token`
RSLParserTokenManager.`getNextToken()`
`final Token`
RSLParser.`getToken(int index)`
`static final Token`
Token.`newToken(int ofKind)`
Returns a new Token object, by default.
`final Token`
RSLParser.`stringToken()`
Constructors in org.globus.rsl with parameters of type Token
Modifier
Constructor
Description
``
`ParseException(Token currentTokenVal, int[][] expectedTokenSequencesVal, String[] tokenImageVal)`
This constructor is used by the method "generateParseException" in the generated parser.